Bug 467322 - (mingw32-bzip2) Review Request: mingw32-bzip2 - MinGW port of bzip2 file compression utility
Review Request: mingw32-bzip2 - MinGW port of bzip2 file compression utility
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On: 454410
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-16 16:39 EDT by Richard W.M. Jones
Modified: 2009-01-03 06:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-03 06:01:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-16 16:39:12 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=5a13b9537a4127d600157e3cb12504542bd13651;path=/bzip2/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-bzip2-1.0.5-2.fc9.src.rpm
Description:
This package contains development tools and libraries for use when
cross-compiling Windows software in Fedora.

The approved packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 2 Peter Robinson 2008-12-18 06:58:28 EST
All looks OK, I just have a query about including the license file. I understand not including man/info pages but I believe there's still a requirement to include a license? I couldn't see anything in the mingw packaging docs that would exclude it.

+ rpmlint output

$ rpmlint -i mingw32-bzip2-1.0.5-4.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license

? %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  3c15a0c8d1d3ee1c46a1634d00617b1a  bzip2-1.0.5.tar.gz
+ package successfully builds on at least one architecture
  tested using koji on rawhide
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ %defattr line
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

+ if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
n/a the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or
/usr/sbin
Comment 3 Richard W.M. Jones 2008-12-18 07:17:35 EST
Thanks for looking at this.  This updated version just adds
the LICENSE file to the %doc section.

Spec URL: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/bzip2/mingw32-bzip2.spec
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-10/src/SRPMS/mingw32-bzip2-1.0.5-5.fc10.src.rpm

* Thu Dec 18 2008 Richard Jones <rjones@redhat.com> - 1.0.5-5
- Include the LICENSE file in doc section.
Comment 4 Peter Robinson 2008-12-18 07:24:13 EST
APPROVED!

Thanks. Not sure if the license file will affect any of the other packages but its on your list now.
Comment 5 Richard W.M. Jones 2008-12-18 07:30:09 EST
New Package CVS Request
=======================
Package Name: mingw32-bzip2
Short Description: MinGW port of bzip2 file compression utility
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 6 Kevin Fenzi 2008-12-20 23:21:58 EST
cvs done.
Comment 7 Richard W.M. Jones 2008-12-21 06:30:04 EST
Thanks Peter and Kevin.

Imported and built.
Comment 8 Peter Robinson 2009-01-03 05:47:45 EST
I think this is in rawhide, OK to close?
Comment 9 Richard W.M. Jones 2009-01-03 06:01:22 EST
Closed - sorry I forgot to do this before :-)

Note You need to log in before you can comment on or make changes to this bug.